org.apache.xmlgraphics.xmp.schemas.pdf

## Class PDFXXMPSchema

- java.lang.Object
- - org.apache.xmlgraphics.xmp.XMPSchema
  - - org.apache.xmlgraphics.xmp.schemas.pdf.PDFXXMPSchema

-     public class PDFXXMPSchema
      extends XMPSchema

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `NAMESPACE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PDFXXMPSchema()` Creates a new schema instance for Dublin Core.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PDFXAdapter` | `getAdapter(Metadata meta)` Creates and returns an adapter for this schema around the given metadata object.

    - ### Methods inherited from class org.apache.xmlgraphics.xmp.XMPSchema

      `addExtraNamespace, getDefaultMergeRuleSet, getExtraNamespaces, getNamespace, getPreferredPrefix, getQName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMESPACE

          public static final java.lang.String NAMESPACE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PDFXXMPSchema

          public PDFXXMPSchema()

      Creates a new schema instance for Dublin Core.

  - ### Method Detail

    - #### getAdapter

          public static PDFXAdapter getAdapter(Metadata meta)

      Creates and returns an adapter for this schema around the given metadata object.
      Parameters:
        `meta` - the metadata object
      Returns:
        the newly instantiated adapter

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.